 #!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
# +------------------------------------------------------------------+
# |             ____ _               _        __  __ _  __           |
# |            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
# |           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
# |           | |___| | | |  __/ (__|   <    | |  | | . \            |
# |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
# |                                                                  |
# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
# +------------------------------------------------------------------+
#
# This file is part of Check_MK.
# The official homepage is at http://mathias-kettner.de/check_mk.
#
# check_mk is free software;  you can redistribute it and/or modify it
# under the  terms of the  GNU General Public License  as published by
# the Free Software Foundation in version 2.  check_mk is  distributed
# in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
# out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
# PARTICULAR PURPOSE. See the  GNU General Public License for more de-
# ails.  You should have  received  a copy of the  GNU  General Public
# License along with GNU Make; see the file  COPYING.  If  not,  write
# to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
# Boston, MA 02110-1301 USA.

multisite_builtin_views.update({
'infowindow': {'browser_reload': 30,
               'column_headers': 'pergroup',
                'datasource': 'hosts',
                'description': _('Shows details of a host.'),
                'group_painters': [],
                'hard_filters': [],
                'hard_filtervars': [],
                'hidden': True,
                'hide_filters': ['site', 'host'],
                'icon' : 'status',
                'layout': 'dataset',
                'mustsearch': False,
                'name': 'infowindow',
                'owner': '',
                'painters': [('sitealias', None),
                             ('host', 'host'),
                             ('alias', None),
                             ('host_icons', None),
                             ('host_state', None),
                             ('host_address', None),
                             ('host_group_memberlist', None),
                             ('host_parents', None),
                             ('host_childs', None),
                             ('host_servicelevel', None),
                             ('host_contact_groups', None),
                             ('host_contacts', None),
                             ('host_plugin_output', None),
                             ('host_state_age', None),
                             ('host_check_age', None),
                             ('host_next_check', None),
                             ('host_check_latency', None),
                             ('host_check_duration', None),
                             ('host_in_downtime', None),
                             ('host_in_notifper', None),
                             ('host_notifper', None),
                             ('num_services', None),
                             ('num_services_ok', 'host_ok'),
                             ('num_services_warn', 'host_warn'),
                             ('num_services_crit', 'host_crit'),
                             ('num_services_unknown', 'host_unknown'),
                             ('num_services_pending', 'host_pending'),
                             ('host_custom_notes', None),
                             ('host_pnpgraph', None),
                             ],
                'public': True,
                'show_filters': [],
                'sorters': [],
                'linktitle': _('Host status'),
                'title': _('Status of Host')},
})

